summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2010-05-23 16:52:45 +0200
committerMichael Buesch <mb@bu3sch.de>2010-05-23 16:52:45 +0200
commitfe37365149de71a5620e5316837f602f0e56158e (patch)
tree2216d28057ca9ad9f370ab3b54c1941f1d02b75c /tests
parent7cd7223eba4e5be0a0fd0f4022128b3758434f9c (diff)
downloadtoprammer-fe37365149de71a5620e5316837f602f0e56158e.tar.xz
toprammer-fe37365149de71a5620e5316837f602f0e56158e.zip
testsuite: Ask before terminating the testsuite on errors
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run-tests.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index 9a92eb7..5179360 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -221,10 +221,21 @@ function do_run_test # $1=device, $2=testscript
. "$basedir/$current_test"
# And run the tests
- test_init
- [ $? -eq 0 ] || continue
- test_run
- test_exit
+ while $(true); do
+ test_init
+ [ $? -eq 0 ] || break
+ ( test_run )
+ if [ $? -ne 0 ]; then
+ test_exit
+ ask "$current_test failed. RETRY?"
+ [ $? -eq 0 ] && continue
+ ask "Terminate testsuite?"
+ [ $? -eq 0 ] && exit 1
+ break
+ fi
+ test_exit
+ break
+ done
current_device=
current_test=
bues.ch cgit interface